Skip to content

Get Transaction

GET
/api/Transactions/{id}
curl --request GET \
--url https://example.com/api/Transactions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'

Returns full detail for a single transaction.

id
required
string format: uuid

The transaction’s unique identifier.

Transaction detail.

Media type application/json
object
id
string format: uuid
merchantId
string format: uuid
memberId
string format: uuid
nullable
memberName
string
nullable
subscriptionId
string format: uuid
nullable
invoiceId
string format: uuid
nullable
paymentMethodId
string format: uuid
nullable
status
string
Allowed values: Processing Approved Declined Refunded Voided
amount
number format: double
currency
string
nullable
reference
string
nullable
description
string
nullable
declineCode
string
nullable
cardInfo
string
nullable
processedAt
string format: date-time
nullable
createdAt
string format: date-time
updatedAt
string format: date-time
Example
{
"status": "Processing"
}

No transaction with the given ID exists.

Media type application/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}